---
http_interactions:
- request:
    method: post
    uri: https://api.stripe.com/v1/payment_methods
    body:
      encoding: UTF-8
      string: type=card&card[number]=4000002760003184&card[exp_month]=4&card[exp_year]=2022&card[cvc]=314
    headers:
      User-Agent:
      - Stripe/v1 RubyBindings/5.29.0
      Authorization:
      - Bearer sk_test_testfaketestfaketestfake
      Content-Type:
      - application/x-www-form-urlencoded
      Stripe-Version:
      - '2019-08-14'
      X-Stripe-Client-User-Agent:
      - '{"bindings_version":"5.29.0","lang":"ruby","lang_version":"2.6.7 p197 (2021-04-05)","platform":"x86_64-linux","engine":"ruby","publisher":"stripe","uname":"Linux
        version 5.14.11-arch1-1 (linux@archlinux) (gcc (GCC) 11.1.0, GNU ld (GNU Binutils)
        2.36.1) #1 SMP PREEMPT Sun, 10 Oct 2021 00:48:26 +0000","hostname":"Sylvain-desktop"}'
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Thu, 14 Oct 2021 15:59:53 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '934'
      Connection:
      - keep-alive
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Methods:
      - GET, POST, HEAD, OPTIONS, DELETE
      Access-Control-Allow-Origin:
      - "*"
      Access-Control-Expose-Headers:
      - Request-Id, Stripe-Manage-Version, X-Stripe-External-Auth-Required, X-Stripe-Privileged-Session-Required
      Access-Control-Max-Age:
      - '300'
      Cache-Control:
      - no-cache, no-store
      Request-Id:
      - req_KLWSiHeEtTwdGE
      Stripe-Version:
      - '2019-08-14'
      Strict-Transport-Security:
      - max-age=31556926; includeSubDomains; preload
    body:
      encoding: UTF-8
      string: |
        {
          "id": "pm_1JkWLV2sOmf47Nz9xRAxhRsO",
          "object": "payment_method",
          "billing_details": {
            "address": {
              "city": null,
              "country": null,
              "line1": null,
              "line2": null,
              "postal_code": null,
              "state": null
            },
            "email": null,
            "name": null,
            "phone": null
          },
          "card": {
            "brand": "visa",
            "checks": {
              "address_line1_check": null,
              "address_postal_code_check": null,
              "cvc_check": "unchecked"
            },
            "country": "DE",
            "exp_month": 4,
            "exp_year": 2022,
            "fingerprint": "fve96mejTdIvAPVC",
            "funding": "credit",
            "generated_from": null,
            "last4": "3184",
            "networks": {
              "available": [
                "visa"
              ],
              "preferred": null
            },
            "three_d_secure_usage": {
              "supported": true
            },
            "wallet": null
          },
          "created": 1634227193,
          "customer": null,
          "livemode": false,
          "metadata": {
          },
          "type": "card"
        }
  recorded_at: Thu, 14 Oct 2021 15:59:53 GMT
- request:
    method: post
    uri: https://api.stripe.com/v1/payment_methods/pm_1JkWLV2sOmf47Nz9xRAxhRsO/attach
    body:
      encoding: UTF-8
      string: customer=cus_8Di1wjdVktv5kt
    headers:
      User-Agent:
      - Stripe/v1 RubyBindings/5.29.0
      Authorization:
      - Bearer sk_test_testfaketestfaketestfake
      Content-Type:
      - application/x-www-form-urlencoded
      X-Stripe-Client-Telemetry:
      - '{"last_request_metrics":{"request_id":"req_KLWSiHeEtTwdGE","request_duration_ms":790}}'
      Stripe-Version:
      - '2019-08-14'
      X-Stripe-Client-User-Agent:
      - '{"bindings_version":"5.29.0","lang":"ruby","lang_version":"2.6.7 p197 (2021-04-05)","platform":"x86_64-linux","engine":"ruby","publisher":"stripe","uname":"Linux
        version 5.14.11-arch1-1 (linux@archlinux) (gcc (GCC) 11.1.0, GNU ld (GNU Binutils)
        2.36.1) #1 SMP PREEMPT Sun, 10 Oct 2021 00:48:26 +0000","hostname":"Sylvain-desktop"}'
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Thu, 14 Oct 2021 15:59:54 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '945'
      Connection:
      - keep-alive
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Methods:
      - GET, POST, HEAD, OPTIONS, DELETE
      Access-Control-Allow-Origin:
      - "*"
      Access-Control-Expose-Headers:
      - Request-Id, Stripe-Manage-Version, X-Stripe-External-Auth-Required, X-Stripe-Privileged-Session-Required
      Access-Control-Max-Age:
      - '300'
      Cache-Control:
      - no-cache, no-store
      Request-Id:
      - req_0cIp6IwIYb9772
      Stripe-Version:
      - '2019-08-14'
      Strict-Transport-Security:
      - max-age=31556926; includeSubDomains; preload
    body:
      encoding: UTF-8
      string: |
        {
          "id": "pm_1JkWLV2sOmf47Nz9xRAxhRsO",
          "object": "payment_method",
          "billing_details": {
            "address": {
              "city": null,
              "country": null,
              "line1": null,
              "line2": null,
              "postal_code": null,
              "state": null
            },
            "email": null,
            "name": null,
            "phone": null
          },
          "card": {
            "brand": "visa",
            "checks": {
              "address_line1_check": null,
              "address_postal_code_check": null,
              "cvc_check": "pass"
            },
            "country": "DE",
            "exp_month": 4,
            "exp_year": 2022,
            "fingerprint": "fve96mejTdIvAPVC",
            "funding": "credit",
            "generated_from": null,
            "last4": "3184",
            "networks": {
              "available": [
                "visa"
              ],
              "preferred": null
            },
            "three_d_secure_usage": {
              "supported": true
            },
            "wallet": null
          },
          "created": 1634227193,
          "customer": "cus_8Di1wjdVktv5kt",
          "livemode": false,
          "metadata": {
          },
          "type": "card"
        }
  recorded_at: Thu, 14 Oct 2021 15:59:55 GMT
- request:
    method: post
    uri: https://api.stripe.com/v1/customers/cus_8Di1wjdVktv5kt
    body:
      encoding: UTF-8
      string: invoice_settings[default_payment_method]=pm_1JkWLV2sOmf47Nz9xRAxhRsO
    headers:
      User-Agent:
      - Stripe/v1 RubyBindings/5.29.0
      Authorization:
      - Bearer sk_test_testfaketestfaketestfake
      Content-Type:
      - application/x-www-form-urlencoded
      X-Stripe-Client-Telemetry:
      - '{"last_request_metrics":{"request_id":"req_0cIp6IwIYb9772","request_duration_ms":957}}'
      Stripe-Version:
      - '2019-08-14'
      X-Stripe-Client-User-Agent:
      - '{"bindings_version":"5.29.0","lang":"ruby","lang_version":"2.6.7 p197 (2021-04-05)","platform":"x86_64-linux","engine":"ruby","publisher":"stripe","uname":"Linux
        version 5.14.11-arch1-1 (linux@archlinux) (gcc (GCC) 11.1.0, GNU ld (GNU Binutils)
        2.36.1) #1 SMP PREEMPT Sun, 10 Oct 2021 00:48:26 +0000","hostname":"Sylvain-desktop"}'
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Thu, 14 Oct 2021 15:59:55 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '49811'
      Connection:
      - keep-alive
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Methods:
      - GET, POST, HEAD, OPTIONS, DELETE
      Access-Control-Allow-Origin:
      - "*"
      Access-Control-Expose-Headers:
      - Request-Id, Stripe-Manage-Version, X-Stripe-External-Auth-Required, X-Stripe-Privileged-Session-Required
      Access-Control-Max-Age:
      - '300'
      Cache-Control:
      - no-cache, no-store
      Request-Id:
      - req_97UZMKjbUaevgC
      Stripe-Version:
      - '2019-08-14'
      Strict-Transport-Security:
      - max-age=31556926; includeSubDomains; preload
    body:
      encoding: UTF-8
      string: |
        {
          "id": "cus_8Di1wjdVktv5kt",
          "object": "customer",
          "account_balance": 0,
          "address": null,
          "balance": 0,
          "created": 1459948888,
          "currency": "usd",
          "default_source": "card_1Euc972sOmf47Nz9kex4UjRG",
          "delinquent": false,
          "description": "Jean Dupond",
          "discount": null,
          "email": "jean.dupond@gmail.com",
          "invoice_prefix": "C0E661C",
          "invoice_settings": {
            "custom_fields": null,
            "default_payment_method": "pm_1JkWLV2sOmf47Nz9xRAxhRsO",
            "footer": null
          },
          "livemode": false,
          "metadata": {
          },
          "name": null,
          "next_invoice_sequence": 1456,
          "phone": null,
          "preferred_locales": [

          ],
          "shipping": null,
          "sources": {
            "object": "list",
            "data": [
              {
                "id": "card_1Euc972sOmf47Nz9kex4UjRG",
                "object": "card",
                "address_city": null,
                "address_country": null,
                "address_line1": null,
                "address_line1_check": null,
                "address_line2": null,
                "address_state": null,
                "address_zip": null,
                "address_zip_check": null,
                "brand": "Visa",
                "country": "US",
                "customer": "cus_8Di1wjdVktv5kt",
                "cvc_check": "unchecked",
                "dynamic_last4": null,
                "exp_month": 4,
                "exp_year": 2020,
                "fingerprint": "o52jybR7bnmNn6AT",
                "funding": "credit",
                "last4": "4242",
                "metadata": {
                },
                "name": null,
                "tokenization_method": null
              }
            ],
            "has_more": false,
            "total_count": 1,
            "url": "/v1/customers/cus_8Di1wjdVktv5kt/sources"
          },
          "subscriptions": {
            "object": "list",
            "data": [
              {
                "id": "sub_1JkWL22sOmf47Nz9QynJVnJq",
                "object": "subscription",
                "application_fee_percent": null,
                "automatic_tax": {
                  "enabled": false
                },
                "billing": "charge_automatically",
                "billing_cycle_anchor": 1634227164,
                "billing_thresholds": null,
                "cancel_at": 1665763162,
                "cancel_at_period_end": false,
                "canceled_at": 1634227164,
                "collection_method": "charge_automatically",
                "created": 1634227164,
                "current_period_end": 1636905564,
                "current_period_start": 1634227164,
                "customer": "cus_8Di1wjdVktv5kt",
                "days_until_due": null,
                "default_payment_method": "pm_1JkWKy2sOmf47Nz9hyz9oVKt",
                "default_source": null,
                "default_tax_rates": [

                ],
                "discount": null,
                "ended_at": null,
                "invoice_customer_balance_settings": {
                  "consume_applied_balance_on_void": true
                },
                "items": {
                  "object": "list",
                  "data": [
                    {
                      "id": "si_KPL1rIMIn7Dja5",
                      "object": "subscription_item",
                      "billing_thresholds": null,
                      "created": 1634227164,
                      "metadata": {
                      },
                      "plan": {
                        "id": "price_1JkWL12sOmf47Nz98iad0nyI",
                        "object": "plan",
                        "active": true,
                        "aggregate_usage": null,
                        "amount": 9466,
                        "amount_decimal": "9466",
                        "billing_scheme": "per_unit",
                        "created": 1634227163,
                        "currency": "usd",
                        "interval": "month",
                        "interval_count": 1,
                        "livemode": false,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "tiers": null,
                        "tiers_mode": null,
                        "transform_usage": null,
                        "trial_period_days": null,
                        "usage_type": "licensed"
                      },
                      "price": {
                        "id": "price_1JkWL12sOmf47Nz98iad0nyI",
                        "object": "price",
                        "active": true,
                        "billing_scheme": "per_unit",
                        "created": 1634227163,
                        "currency": "usd",
                        "livemode": false,
                        "lookup_key": null,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "recurring": {
                          "aggregate_usage": null,
                          "interval": "month",
                          "interval_count": 1,
                          "trial_period_days": null,
                          "usage_type": "licensed"
                        },
                        "tax_behavior": "unspecified",
                        "tiers_mode": null,
                        "transform_quantity": null,
                        "type": "recurring",
                        "unit_amount": 9466,
                        "unit_amount_decimal": "9466"
                      },
                      "quantity": 1,
                      "subscription": "sub_1JkWL22sOmf47Nz9QynJVnJq",
                      "tax_rates": [

                      ]
                    }
                  ],
                  "has_more": false,
                  "total_count": 1,
                  "url": "/v1/subscription_items?subscription=sub_1JkWL22sOmf47Nz9QynJVnJq"
                },
                "latest_invoice": "in_1JkWL22sOmf47Nz9zTqCdG1T",
                "livemode": false,
                "metadata": {
                },
                "next_pending_invoice_item_invoice": null,
                "pause_collection": null,
                "payment_settings": {
                  "payment_method_options": null,
                  "payment_method_types": null
                },
                "pending_invoice_item_interval": null,
                "pending_setup_intent": null,
                "pending_update": null,
                "plan": {
                  "id": "price_1JkWL12sOmf47Nz98iad0nyI",
                  "object": "plan",
                  "active": true,
                  "aggregate_usage": null,
                  "amount": 9466,
                  "amount_decimal": "9466",
                  "billing_scheme": "per_unit",
                  "created": 1634227163,
                  "currency": "usd",
                  "interval": "month",
                  "interval_count": 1,
                  "livemode": false,
                  "metadata": {
                  },
                  "nickname": null,
                  "product": "prod_IZQAhb9nLu4jfN",
                  "tiers": null,
                  "tiers_mode": null,
                  "transform_usage": null,
                  "trial_period_days": null,
                  "usage_type": "licensed"
                },
                "quantity": 1,
                "schedule": null,
                "start": 1634227164,
                "start_date": 1634227164,
                "status": "incomplete",
                "tax_percent": null,
                "transfer_data": null,
                "trial_end": null,
                "trial_start": null
              },
              {
                "id": "sub_1JkWIu2sOmf47Nz9blZ3AdqA",
                "object": "subscription",
                "application_fee_percent": null,
                "automatic_tax": {
                  "enabled": false
                },
                "billing": "charge_automatically",
                "billing_cycle_anchor": 1634227031,
                "billing_thresholds": null,
                "cancel_at": 1665763030,
                "cancel_at_period_end": false,
                "canceled_at": 1634227031,
                "collection_method": "charge_automatically",
                "created": 1634227031,
                "current_period_end": 1636905431,
                "current_period_start": 1634227031,
                "customer": "cus_8Di1wjdVktv5kt",
                "days_until_due": null,
                "default_payment_method": "pm_1JkWIq2sOmf47Nz9y8vyE7cz",
                "default_source": null,
                "default_tax_rates": [

                ],
                "discount": null,
                "ended_at": null,
                "invoice_customer_balance_settings": {
                  "consume_applied_balance_on_void": true
                },
                "items": {
                  "object": "list",
                  "data": [
                    {
                      "id": "si_KPKyNBY7Dth5wf",
                      "object": "subscription_item",
                      "billing_thresholds": null,
                      "created": 1634227032,
                      "metadata": {
                      },
                      "plan": {
                        "id": "price_1JkWIs2sOmf47Nz9eGVZoz2W",
                        "object": "plan",
                        "active": true,
                        "aggregate_usage": null,
                        "amount": 9466,
                        "amount_decimal": "9466",
                        "billing_scheme": "per_unit",
                        "created": 1634227030,
                        "currency": "usd",
                        "interval": "month",
                        "interval_count": 1,
                        "livemode": false,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "tiers": null,
                        "tiers_mode": null,
                        "transform_usage": null,
                        "trial_period_days": null,
                        "usage_type": "licensed"
                      },
                      "price": {
                        "id": "price_1JkWIs2sOmf47Nz9eGVZoz2W",
                        "object": "price",
                        "active": true,
                        "billing_scheme": "per_unit",
                        "created": 1634227030,
                        "currency": "usd",
                        "livemode": false,
                        "lookup_key": null,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "recurring": {
                          "aggregate_usage": null,
                          "interval": "month",
                          "interval_count": 1,
                          "trial_period_days": null,
                          "usage_type": "licensed"
                        },
                        "tax_behavior": "unspecified",
                        "tiers_mode": null,
                        "transform_quantity": null,
                        "type": "recurring",
                        "unit_amount": 9466,
                        "unit_amount_decimal": "9466"
                      },
                      "quantity": 1,
                      "subscription": "sub_1JkWIu2sOmf47Nz9blZ3AdqA",
                      "tax_rates": [

                      ]
                    }
                  ],
                  "has_more": false,
                  "total_count": 1,
                  "url": "/v1/subscription_items?subscription=sub_1JkWIu2sOmf47Nz9blZ3AdqA"
                },
                "latest_invoice": "in_1JkWIu2sOmf47Nz9obDWtNdH",
                "livemode": false,
                "metadata": {
                },
                "next_pending_invoice_item_invoice": null,
                "pause_collection": null,
                "payment_settings": {
                  "payment_method_options": null,
                  "payment_method_types": null
                },
                "pending_invoice_item_interval": null,
                "pending_setup_intent": null,
                "pending_update": null,
                "plan": {
                  "id": "price_1JkWIs2sOmf47Nz9eGVZoz2W",
                  "object": "plan",
                  "active": true,
                  "aggregate_usage": null,
                  "amount": 9466,
                  "amount_decimal": "9466",
                  "billing_scheme": "per_unit",
                  "created": 1634227030,
                  "currency": "usd",
                  "interval": "month",
                  "interval_count": 1,
                  "livemode": false,
                  "metadata": {
                  },
                  "nickname": null,
                  "product": "prod_IZQAhb9nLu4jfN",
                  "tiers": null,
                  "tiers_mode": null,
                  "transform_usage": null,
                  "trial_period_days": null,
                  "usage_type": "licensed"
                },
                "quantity": 1,
                "schedule": null,
                "start": 1634227031,
                "start_date": 1634227031,
                "status": "active",
                "tax_percent": null,
                "transfer_data": null,
                "trial_end": null,
                "trial_start": null
              },
              {
                "id": "sub_1JkW7C2sOmf47Nz9v1DfTXVk",
                "object": "subscription",
                "application_fee_percent": null,
                "automatic_tax": {
                  "enabled": false
                },
                "billing": "charge_automatically",
                "billing_cycle_anchor": 1634226305,
                "billing_thresholds": null,
                "cancel_at": 1665762304,
                "cancel_at_period_end": false,
                "canceled_at": 1634226305,
                "collection_method": "charge_automatically",
                "created": 1634226305,
                "current_period_end": 1636904705,
                "current_period_start": 1634226305,
                "customer": "cus_8Di1wjdVktv5kt",
                "days_until_due": null,
                "default_payment_method": "pm_1JkW772sOmf47Nz9IlBfocG1",
                "default_source": null,
                "default_tax_rates": [

                ],
                "discount": null,
                "ended_at": null,
                "invoice_customer_balance_settings": {
                  "consume_applied_balance_on_void": true
                },
                "items": {
                  "object": "list",
                  "data": [
                    {
                      "id": "si_KPKmRh1aVMvlVs",
                      "object": "subscription_item",
                      "billing_thresholds": null,
                      "created": 1634226306,
                      "metadata": {
                      },
                      "plan": {
                        "id": "price_1JkW7B2sOmf47Nz9bktMHJcG",
                        "object": "plan",
                        "active": true,
                        "aggregate_usage": null,
                        "amount": 9466,
                        "amount_decimal": "9466",
                        "billing_scheme": "per_unit",
                        "created": 1634226305,
                        "currency": "usd",
                        "interval": "month",
                        "interval_count": 1,
                        "livemode": false,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "tiers": null,
                        "tiers_mode": null,
                        "transform_usage": null,
                        "trial_period_days": null,
                        "usage_type": "licensed"
                      },
                      "price": {
                        "id": "price_1JkW7B2sOmf47Nz9bktMHJcG",
                        "object": "price",
                        "active": true,
                        "billing_scheme": "per_unit",
                        "created": 1634226305,
                        "currency": "usd",
                        "livemode": false,
                        "lookup_key": null,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "recurring": {
                          "aggregate_usage": null,
                          "interval": "month",
                          "interval_count": 1,
                          "trial_period_days": null,
                          "usage_type": "licensed"
                        },
                        "tax_behavior": "unspecified",
                        "tiers_mode": null,
                        "transform_quantity": null,
                        "type": "recurring",
                        "unit_amount": 9466,
                        "unit_amount_decimal": "9466"
                      },
                      "quantity": 1,
                      "subscription": "sub_1JkW7C2sOmf47Nz9v1DfTXVk",
                      "tax_rates": [

                      ]
                    }
                  ],
                  "has_more": false,
                  "total_count": 1,
                  "url": "/v1/subscription_items?subscription=sub_1JkW7C2sOmf47Nz9v1DfTXVk"
                },
                "latest_invoice": "in_1JkW7C2sOmf47Nz9DHI5iyGy",
                "livemode": false,
                "metadata": {
                },
                "next_pending_invoice_item_invoice": null,
                "pause_collection": null,
                "payment_settings": {
                  "payment_method_options": null,
                  "payment_method_types": null
                },
                "pending_invoice_item_interval": null,
                "pending_setup_intent": null,
                "pending_update": null,
                "plan": {
                  "id": "price_1JkW7B2sOmf47Nz9bktMHJcG",
                  "object": "plan",
                  "active": true,
                  "aggregate_usage": null,
                  "amount": 9466,
                  "amount_decimal": "9466",
                  "billing_scheme": "per_unit",
                  "created": 1634226305,
                  "currency": "usd",
                  "interval": "month",
                  "interval_count": 1,
                  "livemode": false,
                  "metadata": {
                  },
                  "nickname": null,
                  "product": "prod_IZQAhb9nLu4jfN",
                  "tiers": null,
                  "tiers_mode": null,
                  "transform_usage": null,
                  "trial_period_days": null,
                  "usage_type": "licensed"
                },
                "quantity": 1,
                "schedule": null,
                "start": 1634226305,
                "start_date": 1634226305,
                "status": "incomplete",
                "tax_percent": null,
                "transfer_data": null,
                "trial_end": null,
                "trial_start": null
              },
              {
                "id": "sub_1JkW4B2sOmf47Nz9H7F8oy4X",
                "object": "subscription",
                "application_fee_percent": null,
                "automatic_tax": {
                  "enabled": false
                },
                "billing": "charge_automatically",
                "billing_cycle_anchor": 1634226119,
                "billing_thresholds": null,
                "cancel_at": 1665762118,
                "cancel_at_period_end": false,
                "canceled_at": 1634226119,
                "collection_method": "charge_automatically",
                "created": 1634226119,
                "current_period_end": 1636904519,
                "current_period_start": 1634226119,
                "customer": "cus_8Di1wjdVktv5kt",
                "days_until_due": null,
                "default_payment_method": "pm_1JkW472sOmf47Nz9eDPVcQRR",
                "default_source": null,
                "default_tax_rates": [

                ],
                "discount": null,
                "ended_at": null,
                "invoice_customer_balance_settings": {
                  "consume_applied_balance_on_void": true
                },
                "items": {
                  "object": "list",
                  "data": [
                    {
                      "id": "si_KPKjWzNKMgo5Fm",
                      "object": "subscription_item",
                      "billing_thresholds": null,
                      "created": 1634226120,
                      "metadata": {
                      },
                      "plan": {
                        "id": "price_1JkW4A2sOmf47Nz9OWxtnQoG",
                        "object": "plan",
                        "active": true,
                        "aggregate_usage": null,
                        "amount": 9466,
                        "amount_decimal": "9466",
                        "billing_scheme": "per_unit",
                        "created": 1634226118,
                        "currency": "usd",
                        "interval": "month",
                        "interval_count": 1,
                        "livemode": false,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "tiers": null,
                        "tiers_mode": null,
                        "transform_usage": null,
                        "trial_period_days": null,
                        "usage_type": "licensed"
                      },
                      "price": {
                        "id": "price_1JkW4A2sOmf47Nz9OWxtnQoG",
                        "object": "price",
                        "active": true,
                        "billing_scheme": "per_unit",
                        "created": 1634226118,
                        "currency": "usd",
                        "livemode": false,
                        "lookup_key": null,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "recurring": {
                          "aggregate_usage": null,
                          "interval": "month",
                          "interval_count": 1,
                          "trial_period_days": null,
                          "usage_type": "licensed"
                        },
                        "tax_behavior": "unspecified",
                        "tiers_mode": null,
                        "transform_quantity": null,
                        "type": "recurring",
                        "unit_amount": 9466,
                        "unit_amount_decimal": "9466"
                      },
                      "quantity": 1,
                      "subscription": "sub_1JkW4B2sOmf47Nz9H7F8oy4X",
                      "tax_rates": [

                      ]
                    }
                  ],
                  "has_more": false,
                  "total_count": 1,
                  "url": "/v1/subscription_items?subscription=sub_1JkW4B2sOmf47Nz9H7F8oy4X"
                },
                "latest_invoice": "in_1JkW4B2sOmf47Nz99kAOQNRU",
                "livemode": false,
                "metadata": {
                },
                "next_pending_invoice_item_invoice": null,
                "pause_collection": null,
                "payment_settings": {
                  "payment_method_options": null,
                  "payment_method_types": null
                },
                "pending_invoice_item_interval": null,
                "pending_setup_intent": null,
                "pending_update": null,
                "plan": {
                  "id": "price_1JkW4A2sOmf47Nz9OWxtnQoG",
                  "object": "plan",
                  "active": true,
                  "aggregate_usage": null,
                  "amount": 9466,
                  "amount_decimal": "9466",
                  "billing_scheme": "per_unit",
                  "created": 1634226118,
                  "currency": "usd",
                  "interval": "month",
                  "interval_count": 1,
                  "livemode": false,
                  "metadata": {
                  },
                  "nickname": null,
                  "product": "prod_IZQAhb9nLu4jfN",
                  "tiers": null,
                  "tiers_mode": null,
                  "transform_usage": null,
                  "trial_period_days": null,
                  "usage_type": "licensed"
                },
                "quantity": 1,
                "schedule": null,
                "start": 1634226119,
                "start_date": 1634226119,
                "status": "incomplete",
                "tax_percent": null,
                "transfer_data": null,
                "trial_end": null,
                "trial_start": null
              },
              {
                "id": "sub_KDebRcYreXVUnH",
                "object": "subscription",
                "application_fee_percent": null,
                "automatic_tax": {
                  "enabled": false
                },
                "billing": "charge_automatically",
                "billing_cycle_anchor": 1631532361,
                "billing_thresholds": null,
                "cancel_at": 1663068360,
                "cancel_at_period_end": false,
                "canceled_at": 1631532361,
                "collection_method": "charge_automatically",
                "created": 1631532361,
                "current_period_end": 1636802761,
                "current_period_start": 1634124361,
                "customer": "cus_8Di1wjdVktv5kt",
                "days_until_due": null,
                "default_payment_method": "pm_1JZDIP2sOmf47Nz9RVtJc1dz",
                "default_source": null,
                "default_tax_rates": [

                ],
                "discount": null,
                "ended_at": null,
                "invoice_customer_balance_settings": {
                  "consume_applied_balance_on_void": true
                },
                "items": {
                  "object": "list",
                  "data": [
                    {
                      "id": "si_KDebUR1KKDUfV6",
                      "object": "subscription_item",
                      "billing_thresholds": null,
                      "created": 1631532361,
                      "metadata": {
                      },
                      "plan": {
                        "id": "price_1JZDIS2sOmf47Nz9jK6fXjAN",
                        "object": "plan",
                        "active": true,
                        "aggregate_usage": null,
                        "amount": 9466,
                        "amount_decimal": "9466",
                        "billing_scheme": "per_unit",
                        "created": 1631532360,
                        "currency": "usd",
                        "interval": "month",
                        "interval_count": 1,
                        "livemode": false,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "tiers": null,
                        "tiers_mode": null,
                        "transform_usage": null,
                        "trial_period_days": null,
                        "usage_type": "licensed"
                      },
                      "price": {
                        "id": "price_1JZDIS2sOmf47Nz9jK6fXjAN",
                        "object": "price",
                        "active": true,
                        "billing_scheme": "per_unit",
                        "created": 1631532360,
                        "currency": "usd",
                        "livemode": false,
                        "lookup_key": null,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "recurring": {
                          "aggregate_usage": null,
                          "interval": "month",
                          "interval_count": 1,
                          "trial_period_days": null,
                          "usage_type": "licensed"
                        },
                        "tax_behavior": "unspecified",
                        "tiers_mode": null,
                        "transform_quantity": null,
                        "type": "recurring",
                        "unit_amount": 9466,
                        "unit_amount_decimal": "9466"
                      },
                      "quantity": 1,
                      "subscription": "sub_KDebRcYreXVUnH",
                      "tax_rates": [

                      ]
                    }
                  ],
                  "has_more": false,
                  "total_count": 1,
                  "url": "/v1/subscription_items?subscription=sub_KDebRcYreXVUnH"
                },
                "latest_invoice": "in_1Jk5cF2sOmf47Nz9UrRCYQQP",
                "livemode": false,
                "metadata": {
                },
                "next_pending_invoice_item_invoice": null,
                "pause_collection": null,
                "payment_settings": {
                  "payment_method_options": null,
                  "payment_method_types": null
                },
                "pending_invoice_item_interval": null,
                "pending_setup_intent": null,
                "pending_update": null,
                "plan": {
                  "id": "price_1JZDIS2sOmf47Nz9jK6fXjAN",
                  "object": "plan",
                  "active": true,
                  "aggregate_usage": null,
                  "amount": 9466,
                  "amount_decimal": "9466",
                  "billing_scheme": "per_unit",
                  "created": 1631532360,
                  "currency": "usd",
                  "interval": "month",
                  "interval_count": 1,
                  "livemode": false,
                  "metadata": {
                  },
                  "nickname": null,
                  "product": "prod_IZQAhb9nLu4jfN",
                  "tiers": null,
                  "tiers_mode": null,
                  "transform_usage": null,
                  "trial_period_days": null,
                  "usage_type": "licensed"
                },
                "quantity": 1,
                "schedule": null,
                "start": 1631532361,
                "start_date": 1631532361,
                "status": "active",
                "tax_percent": null,
                "transfer_data": null,
                "trial_end": null,
                "trial_start": null
              },
              {
                "id": "sub_KDeatKq0nLrE5s",
                "object": "subscription",
                "application_fee_percent": null,
                "automatic_tax": {
                  "enabled": false
                },
                "billing": "charge_automatically",
                "billing_cycle_anchor": 1631532298,
                "billing_thresholds": null,
                "cancel_at": 1663068297,
                "cancel_at_period_end": false,
                "canceled_at": 1631532298,
                "collection_method": "charge_automatically",
                "created": 1631532298,
                "current_period_end": 1636802698,
                "current_period_start": 1634124298,
                "customer": "cus_8Di1wjdVktv5kt",
                "days_until_due": null,
                "default_payment_method": "pm_1JZDHP2sOmf47Nz9SPvppX4K",
                "default_source": null,
                "default_tax_rates": [

                ],
                "discount": null,
                "ended_at": null,
                "invoice_customer_balance_settings": {
                  "consume_applied_balance_on_void": true
                },
                "items": {
                  "object": "list",
                  "data": [
                    {
                      "id": "si_KDea7Zt4pCFPCd",
                      "object": "subscription_item",
                      "billing_thresholds": null,
                      "created": 1631532299,
                      "metadata": {
                      },
                      "plan": {
                        "id": "price_1JZDHR2sOmf47Nz9BWE3ZEvx",
                        "object": "plan",
                        "active": true,
                        "aggregate_usage": null,
                        "amount": 9466,
                        "amount_decimal": "9466",
                        "billing_scheme": "per_unit",
                        "created": 1631532297,
                        "currency": "usd",
                        "interval": "month",
                        "interval_count": 1,
                        "livemode": false,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "tiers": null,
                        "tiers_mode": null,
                        "transform_usage": null,
                        "trial_period_days": null,
                        "usage_type": "licensed"
                      },
                      "price": {
                        "id": "price_1JZDHR2sOmf47Nz9BWE3ZEvx",
                        "object": "price",
                        "active": true,
                        "billing_scheme": "per_unit",
                        "created": 1631532297,
                        "currency": "usd",
                        "livemode": false,
                        "lookup_key": null,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "recurring": {
                          "aggregate_usage": null,
                          "interval": "month",
                          "interval_count": 1,
                          "trial_period_days": null,
                          "usage_type": "licensed"
                        },
                        "tax_behavior": "unspecified",
                        "tiers_mode": null,
                        "transform_quantity": null,
                        "type": "recurring",
                        "unit_amount": 9466,
                        "unit_amount_decimal": "9466"
                      },
                      "quantity": 1,
                      "subscription": "sub_KDeatKq0nLrE5s",
                      "tax_rates": [

                      ]
                    }
                  ],
                  "has_more": false,
                  "total_count": 1,
                  "url": "/v1/subscription_items?subscription=sub_KDeatKq0nLrE5s"
                },
                "latest_invoice": "in_1Jk5bN2sOmf47Nz9YtlYT2cW",
                "livemode": false,
                "metadata": {
                },
                "next_pending_invoice_item_invoice": null,
                "pause_collection": null,
                "payment_settings": {
                  "payment_method_options": null,
                  "payment_method_types": null
                },
                "pending_invoice_item_interval": null,
                "pending_setup_intent": null,
                "pending_update": null,
                "plan": {
                  "id": "price_1JZDHR2sOmf47Nz9BWE3ZEvx",
                  "object": "plan",
                  "active": true,
                  "aggregate_usage": null,
                  "amount": 9466,
                  "amount_decimal": "9466",
                  "billing_scheme": "per_unit",
                  "created": 1631532297,
                  "currency": "usd",
                  "interval": "month",
                  "interval_count": 1,
                  "livemode": false,
                  "metadata": {
                  },
                  "nickname": null,
                  "product": "prod_IZQAhb9nLu4jfN",
                  "tiers": null,
                  "tiers_mode": null,
                  "transform_usage": null,
                  "trial_period_days": null,
                  "usage_type": "licensed"
                },
                "quantity": 1,
                "schedule": null,
                "start": 1631532298,
                "start_date": 1631532298,
                "status": "active",
                "tax_percent": null,
                "transfer_data": null,
                "trial_end": null,
                "trial_start": null
              },
              {
                "id": "sub_KDeaVj7yYl0taQ",
                "object": "subscription",
                "application_fee_percent": null,
                "automatic_tax": {
                  "enabled": false
                },
                "billing": "charge_automatically",
                "billing_cycle_anchor": 1631532268,
                "billing_thresholds": null,
                "cancel_at": 1663068267,
                "cancel_at_period_end": false,
                "canceled_at": 1631532268,
                "collection_method": "charge_automatically",
                "created": 1631532268,
                "current_period_end": 1636802668,
                "current_period_start": 1634124268,
                "customer": "cus_8Di1wjdVktv5kt",
                "days_until_due": null,
                "default_payment_method": "pm_1JZDGv2sOmf47Nz9SM0WLRa7",
                "default_source": null,
                "default_tax_rates": [

                ],
                "discount": null,
                "ended_at": null,
                "invoice_customer_balance_settings": {
                  "consume_applied_balance_on_void": true
                },
                "items": {
                  "object": "list",
                  "data": [
                    {
                      "id": "si_KDeakx3Jp75roY",
                      "object": "subscription_item",
                      "billing_thresholds": null,
                      "created": 1631532269,
                      "metadata": {
                      },
                      "plan": {
                        "id": "price_1JZDGx2sOmf47Nz9nUWex1u2",
                        "object": "plan",
                        "active": true,
                        "aggregate_usage": null,
                        "amount": 9466,
                        "amount_decimal": "9466",
                        "billing_scheme": "per_unit",
                        "created": 1631532267,
                        "currency": "usd",
                        "interval": "month",
                        "interval_count": 1,
                        "livemode": false,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "tiers": null,
                        "tiers_mode": null,
                        "transform_usage": null,
                        "trial_period_days": null,
                        "usage_type": "licensed"
                      },
                      "price": {
                        "id": "price_1JZDGx2sOmf47Nz9nUWex1u2",
                        "object": "price",
                        "active": true,
                        "billing_scheme": "per_unit",
                        "created": 1631532267,
                        "currency": "usd",
                        "livemode": false,
                        "lookup_key": null,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "recurring": {
                          "aggregate_usage": null,
                          "interval": "month",
                          "interval_count": 1,
                          "trial_period_days": null,
                          "usage_type": "licensed"
                        },
                        "tax_behavior": "unspecified",
                        "tiers_mode": null,
                        "transform_quantity": null,
                        "type": "recurring",
                        "unit_amount": 9466,
                        "unit_amount_decimal": "9466"
                      },
                      "quantity": 1,
                      "subscription": "sub_KDeaVj7yYl0taQ",
                      "tax_rates": [

                      ]
                    }
                  ],
                  "has_more": false,
                  "total_count": 1,
                  "url": "/v1/subscription_items?subscription=sub_KDeaVj7yYl0taQ"
                },
                "latest_invoice": "in_1Jk5ab2sOmf47Nz9HGfetsPd",
                "livemode": false,
                "metadata": {
                },
                "next_pending_invoice_item_invoice": null,
                "pause_collection": null,
                "payment_settings": {
                  "payment_method_options": null,
                  "payment_method_types": null
                },
                "pending_invoice_item_interval": null,
                "pending_setup_intent": null,
                "pending_update": null,
                "plan": {
                  "id": "price_1JZDGx2sOmf47Nz9nUWex1u2",
                  "object": "plan",
                  "active": true,
                  "aggregate_usage": null,
                  "amount": 9466,
                  "amount_decimal": "9466",
                  "billing_scheme": "per_unit",
                  "created": 1631532267,
                  "currency": "usd",
                  "interval": "month",
                  "interval_count": 1,
                  "livemode": false,
                  "metadata": {
                  },
                  "nickname": null,
                  "product": "prod_IZQAhb9nLu4jfN",
                  "tiers": null,
                  "tiers_mode": null,
                  "transform_usage": null,
                  "trial_period_days": null,
                  "usage_type": "licensed"
                },
                "quantity": 1,
                "schedule": null,
                "start": 1631532268,
                "start_date": 1631532268,
                "status": "active",
                "tax_percent": null,
                "transfer_data": null,
                "trial_end": null,
                "trial_start": null
              },
              {
                "id": "sub_KDeToJCqy8AUki",
                "object": "subscription",
                "application_fee_percent": null,
                "automatic_tax": {
                  "enabled": false
                },
                "billing": "charge_automatically",
                "billing_cycle_anchor": 1631531879,
                "billing_thresholds": null,
                "cancel_at": 1663067878,
                "cancel_at_period_end": false,
                "canceled_at": 1631531879,
                "collection_method": "charge_automatically",
                "created": 1631531879,
                "current_period_end": 1636802279,
                "current_period_start": 1634123879,
                "customer": "cus_8Di1wjdVktv5kt",
                "days_until_due": null,
                "default_payment_method": "pm_1JZDAe2sOmf47Nz9bsm9wPFI",
                "default_source": null,
                "default_tax_rates": [

                ],
                "discount": null,
                "ended_at": null,
                "invoice_customer_balance_settings": {
                  "consume_applied_balance_on_void": true
                },
                "items": {
                  "object": "list",
                  "data": [
                    {
                      "id": "si_KDeT8jHdC6UAxx",
                      "object": "subscription_item",
                      "billing_thresholds": null,
                      "created": 1631531880,
                      "metadata": {
                      },
                      "plan": {
                        "id": "price_1JZDAh2sOmf47Nz9yYZ1jglu",
                        "object": "plan",
                        "active": true,
                        "aggregate_usage": null,
                        "amount": 9466,
                        "amount_decimal": "9466",
                        "billing_scheme": "per_unit",
                        "created": 1631531879,
                        "currency": "usd",
                        "interval": "month",
                        "interval_count": 1,
                        "livemode": false,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "tiers": null,
                        "tiers_mode": null,
                        "transform_usage": null,
                        "trial_period_days": null,
                        "usage_type": "licensed"
                      },
                      "price": {
                        "id": "price_1JZDAh2sOmf47Nz9yYZ1jglu",
                        "object": "price",
                        "active": true,
                        "billing_scheme": "per_unit",
                        "created": 1631531879,
                        "currency": "usd",
                        "livemode": false,
                        "lookup_key": null,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "recurring": {
                          "aggregate_usage": null,
                          "interval": "month",
                          "interval_count": 1,
                          "trial_period_days": null,
                          "usage_type": "licensed"
                        },
                        "tax_behavior": "unspecified",
                        "tiers_mode": null,
                        "transform_quantity": null,
                        "type": "recurring",
                        "unit_amount": 9466,
                        "unit_amount_decimal": "9466"
                      },
                      "quantity": 1,
                      "subscription": "sub_KDeToJCqy8AUki",
                      "tax_rates": [

                      ]
                    }
                  ],
                  "has_more": false,
                  "total_count": 1,
                  "url": "/v1/subscription_items?subscription=sub_KDeToJCqy8AUki"
                },
                "latest_invoice": "in_1Jk5Tj2sOmf47Nz94oD4YTbF",
                "livemode": false,
                "metadata": {
                },
                "next_pending_invoice_item_invoice": null,
                "pause_collection": null,
                "payment_settings": {
                  "payment_method_options": null,
                  "payment_method_types": null
                },
                "pending_invoice_item_interval": null,
                "pending_setup_intent": null,
                "pending_update": null,
                "plan": {
                  "id": "price_1JZDAh2sOmf47Nz9yYZ1jglu",
                  "object": "plan",
                  "active": true,
                  "aggregate_usage": null,
                  "amount": 9466,
                  "amount_decimal": "9466",
                  "billing_scheme": "per_unit",
                  "created": 1631531879,
                  "currency": "usd",
                  "interval": "month",
                  "interval_count": 1,
                  "livemode": false,
                  "metadata": {
                  },
                  "nickname": null,
                  "product": "prod_IZQAhb9nLu4jfN",
                  "tiers": null,
                  "tiers_mode": null,
                  "transform_usage": null,
                  "trial_period_days": null,
                  "usage_type": "licensed"
                },
                "quantity": 1,
                "schedule": null,
                "start": 1631531879,
                "start_date": 1631531879,
                "status": "active",
                "tax_percent": null,
                "transfer_data": null,
                "trial_end": null,
                "trial_start": null
              },
              {
                "id": "sub_KDePb9wwv9HEXL",
                "object": "subscription",
                "application_fee_percent": null,
                "automatic_tax": {
                  "enabled": false
                },
                "billing": "charge_automatically",
                "billing_cycle_anchor": 1631531618,
                "billing_thresholds": null,
                "cancel_at": 1663067617,
                "cancel_at_period_end": false,
                "canceled_at": 1631531618,
                "collection_method": "charge_automatically",
                "created": 1631531618,
                "current_period_end": 1636802018,
                "current_period_start": 1634123618,
                "customer": "cus_8Di1wjdVktv5kt",
                "days_until_due": null,
                "default_payment_method": "pm_1JZD6R2sOmf47Nz9CVbi40LS",
                "default_source": null,
                "default_tax_rates": [

                ],
                "discount": null,
                "ended_at": null,
                "invoice_customer_balance_settings": {
                  "consume_applied_balance_on_void": true
                },
                "items": {
                  "object": "list",
                  "data": [
                    {
                      "id": "si_KDePymBNRiUzu7",
                      "object": "subscription_item",
                      "billing_thresholds": null,
                      "created": 1631531619,
                      "metadata": {
                      },
                      "plan": {
                        "id": "price_1JZD6T2sOmf47Nz9eBszbfr3",
                        "object": "plan",
                        "active": true,
                        "aggregate_usage": null,
                        "amount": 9466,
                        "amount_decimal": "9466",
                        "billing_scheme": "per_unit",
                        "created": 1631531617,
                        "currency": "usd",
                        "interval": "month",
                        "interval_count": 1,
                        "livemode": false,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "tiers": null,
                        "tiers_mode": null,
                        "transform_usage": null,
                        "trial_period_days": null,
                        "usage_type": "licensed"
                      },
                      "price": {
                        "id": "price_1JZD6T2sOmf47Nz9eBszbfr3",
                        "object": "price",
                        "active": true,
                        "billing_scheme": "per_unit",
                        "created": 1631531617,
                        "currency": "usd",
                        "livemode": false,
                        "lookup_key": null,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "recurring": {
                          "aggregate_usage": null,
                          "interval": "month",
                          "interval_count": 1,
                          "trial_period_days": null,
                          "usage_type": "licensed"
                        },
                        "tax_behavior": "unspecified",
                        "tiers_mode": null,
                        "transform_quantity": null,
                        "type": "recurring",
                        "unit_amount": 9466,
                        "unit_amount_decimal": "9466"
                      },
                      "quantity": 1,
                      "subscription": "sub_KDePb9wwv9HEXL",
                      "tax_rates": [

                      ]
                    }
                  ],
                  "has_more": false,
                  "total_count": 1,
                  "url": "/v1/subscription_items?subscription=sub_KDePb9wwv9HEXL"
                },
                "latest_invoice": "in_1Jk5Q92sOmf47Nz9EPwy8dVf",
                "livemode": false,
                "metadata": {
                },
                "next_pending_invoice_item_invoice": null,
                "pause_collection": null,
                "payment_settings": {
                  "payment_method_options": null,
                  "payment_method_types": null
                },
                "pending_invoice_item_interval": null,
                "pending_setup_intent": null,
                "pending_update": null,
                "plan": {
                  "id": "price_1JZD6T2sOmf47Nz9eBszbfr3",
                  "object": "plan",
                  "active": true,
                  "aggregate_usage": null,
                  "amount": 9466,
                  "amount_decimal": "9466",
                  "billing_scheme": "per_unit",
                  "created": 1631531617,
                  "currency": "usd",
                  "interval": "month",
                  "interval_count": 1,
                  "livemode": false,
                  "metadata": {
                  },
                  "nickname": null,
                  "product": "prod_IZQAhb9nLu4jfN",
                  "tiers": null,
                  "tiers_mode": null,
                  "transform_usage": null,
                  "trial_period_days": null,
                  "usage_type": "licensed"
                },
                "quantity": 1,
                "schedule": null,
                "start": 1631531618,
                "start_date": 1631531618,
                "status": "active",
                "tax_percent": null,
                "transfer_data": null,
                "trial_end": null,
                "trial_start": null
              },
              {
                "id": "sub_KDcntUY1yaA3Fc",
                "object": "subscription",
                "application_fee_percent": null,
                "automatic_tax": {
                  "enabled": false
                },
                "billing": "charge_automatically",
                "billing_cycle_anchor": 1631525640,
                "billing_thresholds": null,
                "cancel_at": 1663061639,
                "cancel_at_period_end": false,
                "canceled_at": 1631525640,
                "collection_method": "charge_automatically",
                "created": 1631525640,
                "current_period_end": 1636796040,
                "current_period_start": 1634117640,
                "customer": "cus_8Di1wjdVktv5kt",
                "days_until_due": null,
                "default_payment_method": "pm_1JZBY02sOmf47Nz9cujVPxe4",
                "default_source": null,
                "default_tax_rates": [

                ],
                "discount": null,
                "ended_at": null,
                "invoice_customer_balance_settings": {
                  "consume_applied_balance_on_void": true
                },
                "items": {
                  "object": "list",
                  "data": [
                    {
                      "id": "si_KDcn9Ud8rYiNXU",
                      "object": "subscription_item",
                      "billing_thresholds": null,
                      "created": 1631525641,
                      "metadata": {
                      },
                      "plan": {
                        "id": "price_1JZBY32sOmf47Nz9ifmaJSjX",
                        "object": "plan",
                        "active": true,
                        "aggregate_usage": null,
                        "amount": 9466,
                        "amount_decimal": "9466",
                        "billing_scheme": "per_unit",
                        "created": 1631525639,
                        "currency": "usd",
                        "interval": "month",
                        "interval_count": 1,
                        "livemode": false,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "tiers": null,
                        "tiers_mode": null,
                        "transform_usage": null,
                        "trial_period_days": null,
                        "usage_type": "licensed"
                      },
                      "price": {
                        "id": "price_1JZBY32sOmf47Nz9ifmaJSjX",
                        "object": "price",
                        "active": true,
                        "billing_scheme": "per_unit",
                        "created": 1631525639,
                        "currency": "usd",
                        "livemode": false,
                        "lookup_key": null,
                        "metadata": {
                        },
                        "nickname": null,
                        "product": "prod_IZQAhb9nLu4jfN",
                        "recurring": {
                          "aggregate_usage": null,
                          "interval": "month",
                          "interval_count": 1,
                          "trial_period_days": null,
                          "usage_type": "licensed"
                        },
                        "tax_behavior": "unspecified",
                        "tiers_mode": null,
                        "transform_quantity": null,
                        "type": "recurring",
                        "unit_amount": 9466,
                        "unit_amount_decimal": "9466"
                      },
                      "quantity": 1,
                      "subscription": "sub_KDcntUY1yaA3Fc",
                      "tax_rates": [

                      ]
                    }
                  ],
                  "has_more": false,
                  "total_count": 1,
                  "url": "/v1/subscription_items?subscription=sub_KDcntUY1yaA3Fc"
                },
                "latest_invoice": "in_1Jk3rN2sOmf47Nz9RqBSO0Dg",
                "livemode": false,
                "metadata": {
                },
                "next_pending_invoice_item_invoice": null,
                "pause_collection": null,
                "payment_settings": {
                  "payment_method_options": null,
                  "payment_method_types": null
                },
                "pending_invoice_item_interval": null,
                "pending_setup_intent": null,
                "pending_update": null,
                "plan": {
                  "id": "price_1JZBY32sOmf47Nz9ifmaJSjX",
                  "object": "plan",
                  "active": true,
                  "aggregate_usage": null,
                  "amount": 9466,
                  "amount_decimal": "9466",
                  "billing_scheme": "per_unit",
                  "created": 1631525639,
                  "currency": "usd",
                  "interval": "month",
                  "interval_count": 1,
                  "livemode": false,
                  "metadata": {
                  },
                  "nickname": null,
                  "product": "prod_IZQAhb9nLu4jfN",
                  "tiers": null,
                  "tiers_mode": null,
                  "transform_usage": null,
                  "trial_period_days": null,
                  "usage_type": "licensed"
                },
                "quantity": 1,
                "schedule": null,
                "start": 1631525640,
                "start_date": 1631525640,
                "status": "active",
                "tax_percent": null,
                "transfer_data": null,
                "trial_end": null,
                "trial_start": null
              }
            ],
            "has_more": true,
            "total_count": 199,
            "url": "/v1/customers/cus_8Di1wjdVktv5kt/subscriptions"
          },
          "tax_exempt": "none",
          "tax_ids": {
            "object": "list",
            "data": [

            ],
            "has_more": false,
            "total_count": 0,
            "url": "/v1/customers/cus_8Di1wjdVktv5kt/tax_ids"
          },
          "tax_info": null,
          "tax_info_verification": null
        }
  recorded_at: Thu, 14 Oct 2021 15:59:55 GMT
- request:
    method: post
    uri: https://api.stripe.com/v1/prices
    body:
      encoding: UTF-8
      string: unit_amount=9466&currency=usd&product=prod_IZQAhb9nLu4jfN&recurring[interval]=month&recurring[interval_count]=1
    headers:
      User-Agent:
      - Stripe/v1 RubyBindings/5.29.0
      Authorization:
      - Bearer sk_test_testfaketestfaketestfake
      Content-Type:
      - application/x-www-form-urlencoded
      X-Stripe-Client-Telemetry:
      - '{"last_request_metrics":{"request_id":"req_97UZMKjbUaevgC","request_duration_ms":896}}'
      Stripe-Version:
      - '2019-08-14'
      X-Stripe-Client-User-Agent:
      - '{"bindings_version":"5.29.0","lang":"ruby","lang_version":"2.6.7 p197 (2021-04-05)","platform":"x86_64-linux","engine":"ruby","publisher":"stripe","uname":"Linux
        version 5.14.11-arch1-1 (linux@archlinux) (gcc (GCC) 11.1.0, GNU ld (GNU Binutils)
        2.36.1) #1 SMP PREEMPT Sun, 10 Oct 2021 00:48:26 +0000","hostname":"Sylvain-desktop"}'
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Thu, 14 Oct 2021 15:59:56 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '607'
      Connection:
      - keep-alive
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Methods:
      - GET, POST, HEAD, OPTIONS, DELETE
      Access-Control-Allow-Origin:
      - "*"
      Access-Control-Expose-Headers:
      - Request-Id, Stripe-Manage-Version, X-Stripe-External-Auth-Required, X-Stripe-Privileged-Session-Required
      Access-Control-Max-Age:
      - '300'
      Cache-Control:
      - no-cache, no-store
      Request-Id:
      - req_hpvmHqBRhnRALa
      Stripe-Version:
      - '2019-08-14'
      Strict-Transport-Security:
      - max-age=31556926; includeSubDomains; preload
    body:
      encoding: UTF-8
      string: |
        {
          "id": "price_1JkWLY2sOmf47Nz9qBznWZ1L",
          "object": "price",
          "active": true,
          "billing_scheme": "per_unit",
          "created": 1634227196,
          "currency": "usd",
          "livemode": false,
          "lookup_key": null,
          "metadata": {
          },
          "nickname": null,
          "product": "prod_IZQAhb9nLu4jfN",
          "recurring": {
            "aggregate_usage": null,
            "interval": "month",
            "interval_count": 1,
            "trial_period_days": null,
            "usage_type": "licensed"
          },
          "tax_behavior": "unspecified",
          "tiers_mode": null,
          "transform_quantity": null,
          "type": "recurring",
          "unit_amount": 9466,
          "unit_amount_decimal": "9466"
        }
  recorded_at: Thu, 14 Oct 2021 15:59:56 GMT
- request:
    method: post
    uri: https://api.stripe.com/v1/prices
    body:
      encoding: UTF-8
      string: unit_amount=8&currency=usd&product=prod_IZQAhb9nLu4jfN&nickname=Price+adjustment+for+payment+schedule+
    headers:
      User-Agent:
      - Stripe/v1 RubyBindings/5.29.0
      Authorization:
      - Bearer sk_test_testfaketestfaketestfake
      Content-Type:
      - application/x-www-form-urlencoded
      X-Stripe-Client-Telemetry:
      - '{"last_request_metrics":{"request_id":"req_hpvmHqBRhnRALa","request_duration_ms":457}}'
      Stripe-Version:
      - '2019-08-14'
      X-Stripe-Client-User-Agent:
      - '{"bindings_version":"5.29.0","lang":"ruby","lang_version":"2.6.7 p197 (2021-04-05)","platform":"x86_64-linux","engine":"ruby","publisher":"stripe","uname":"Linux
        version 5.14.11-arch1-1 (linux@archlinux) (gcc (GCC) 11.1.0, GNU ld (GNU Binutils)
        2.36.1) #1 SMP PREEMPT Sun, 10 Oct 2021 00:48:26 +0000","hostname":"Sylvain-desktop"}'
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Thu, 14 Oct 2021 15:59:56 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '495'
      Connection:
      - keep-alive
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Methods:
      - GET, POST, HEAD, OPTIONS, DELETE
      Access-Control-Allow-Origin:
      - "*"
      Access-Control-Expose-Headers:
      - Request-Id, Stripe-Manage-Version, X-Stripe-External-Auth-Required, X-Stripe-Privileged-Session-Required
      Access-Control-Max-Age:
      - '300'
      Cache-Control:
      - no-cache, no-store
      Request-Id:
      - req_LbbugttwDGhJwk
      Stripe-Version:
      - '2019-08-14'
      Strict-Transport-Security:
      - max-age=31556926; includeSubDomains; preload
    body:
      encoding: UTF-8
      string: |
        {
          "id": "price_1JkWLY2sOmf47Nz9zvSdP7uw",
          "object": "price",
          "active": true,
          "billing_scheme": "per_unit",
          "created": 1634227196,
          "currency": "usd",
          "livemode": false,
          "lookup_key": null,
          "metadata": {
          },
          "nickname": "Price adjustment for payment schedule",
          "product": "prod_IZQAhb9nLu4jfN",
          "recurring": null,
          "tax_behavior": "unspecified",
          "tiers_mode": null,
          "transform_quantity": null,
          "type": "one_time",
          "unit_amount": 8,
          "unit_amount_decimal": "8"
        }
  recorded_at: Thu, 14 Oct 2021 15:59:56 GMT
- request:
    method: post
    uri: https://api.stripe.com/v1/subscriptions
    body:
      encoding: UTF-8
      string: customer=cus_8Di1wjdVktv5kt&cancel_at=1665763195&add_invoice_items[0][price]=price_1JkWLY2sOmf47Nz9zvSdP7uw&items[0][price]=price_1JkWLY2sOmf47Nz9qBznWZ1L&default_payment_method=pm_1JkWLV2sOmf47Nz9xRAxhRsO&expand[0]=latest_invoice.payment_intent
    headers:
      User-Agent:
      - Stripe/v1 RubyBindings/5.29.0
      Authorization:
      - Bearer sk_test_testfaketestfaketestfake
      Content-Type:
      - application/x-www-form-urlencoded
      X-Stripe-Client-Telemetry:
      - '{"last_request_metrics":{"request_id":"req_LbbugttwDGhJwk","request_duration_ms":412}}'
      Stripe-Version:
      - '2019-08-14'
      X-Stripe-Client-User-Agent:
      - '{"bindings_version":"5.29.0","lang":"ruby","lang_version":"2.6.7 p197 (2021-04-05)","platform":"x86_64-linux","engine":"ruby","publisher":"stripe","uname":"Linux
        version 5.14.11-arch1-1 (linux@archlinux) (gcc (GCC) 11.1.0, GNU ld (GNU Binutils)
        2.36.1) #1 SMP PREEMPT Sun, 10 Oct 2021 00:48:26 +0000","hostname":"Sylvain-desktop"}'
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Thu, 14 Oct 2021 15:59:59 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '12766'
      Connection:
      - keep-alive
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Methods:
      - GET, POST, HEAD, OPTIONS, DELETE
      Access-Control-Allow-Origin:
      - "*"
      Access-Control-Expose-Headers:
      - Request-Id, Stripe-Manage-Version, X-Stripe-External-Auth-Required, X-Stripe-Privileged-Session-Required
      Access-Control-Max-Age:
      - '300'
      Cache-Control:
      - no-cache, no-store
      Request-Id:
      - req_GRcz5UM9Yt2ThF
      Stripe-Version:
      - '2019-08-14'
      Strict-Transport-Security:
      - max-age=31556926; includeSubDomains; preload
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        [encoded data, 17024 characters]
  recorded_at: Thu, 14 Oct 2021 15:59:59 GMT
- request:
    method: get
    uri: https://api.stripe.com/v1/subscriptions/sub_1JkWLZ2sOmf47Nz9w2nKfeEK?expand%5B%5D=latest_invoice.payment_intent
    body:
      encoding: US-ASCII
      string: ''
    headers:
      User-Agent:
      - Stripe/v1 RubyBindings/5.29.0
      Authorization:
      - Bearer sk_test_testfaketestfaketestfake
      Content-Type:
      - application/x-www-form-urlencoded
      X-Stripe-Client-Telemetry:
      - '{"last_request_metrics":{"request_id":"req_GRcz5UM9Yt2ThF","request_duration_ms":2510}}'
      Stripe-Version:
      - '2019-08-14'
      X-Stripe-Client-User-Agent:
      - '{"bindings_version":"5.29.0","lang":"ruby","lang_version":"2.6.7 p197 (2021-04-05)","platform":"x86_64-linux","engine":"ruby","publisher":"stripe","uname":"Linux
        version 5.14.11-arch1-1 (linux@archlinux) (gcc (GCC) 11.1.0, GNU ld (GNU Binutils)
        2.36.1) #1 SMP PREEMPT Sun, 10 Oct 2021 00:48:26 +0000","hostname":"Sylvain-desktop"}'
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Thu, 14 Oct 2021 15:59:59 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '12766'
      Connection:
      - keep-alive
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Methods:
      - GET, POST, HEAD, OPTIONS, DELETE
      Access-Control-Allow-Origin:
      - "*"
      Access-Control-Expose-Headers:
      - Request-Id, Stripe-Manage-Version, X-Stripe-External-Auth-Required, X-Stripe-Privileged-Session-Required
      Access-Control-Max-Age:
      - '300'
      Cache-Control:
      - no-cache, no-store
      Request-Id:
      - req_AW45tHvpsliv0P
      Stripe-Version:
      - '2019-08-14'
      Strict-Transport-Security:
      - max-age=31556926; includeSubDomains; preload
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        [encoded data, 17024 characters]
  recorded_at: Thu, 14 Oct 2021 15:59:59 GMT
recorded_with: VCR 6.0.0
